<p align="center">
  <a href="https://liuyib.github.io/hexo-theme-stun/" target="_blank" rel="noopener noreferrer">
    <img src="./source/images/icons/stun-logo.svg" alt="stun logo" width="100">
  </a>
</p>

<h3 align="center">A beautiful & simple theme for Hexo</h3>

<p align="center">
  <a href="http://standardjs.com" target="_blank" rel="noopener noreferrer">
    <img alt="js-standard-style" src="https://img.shields.io/badge/code%20style-standard-brightgreen.svg">
  </a>
  <a href="http://commitizen.github.io/cz-cli/" target="_blank" rel="noopener noreferrer">
    <img alt="Commitizen friendly" src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg">
  </a>
  <a href="https://github.com/liuyib/hexo-theme-stun/network/alerts" target="_blank" rel="noopener noreferrer">
    <img alt="David" src="https://img.shields.io/david/liuyib/hexo-theme-stun">
  </a>
  <a href="https://github.com/liuyib/hexo-theme-stun/blob/master/LICENSE" target="_blank" rel="noopener noreferrer">
    <img alt="GitHub" src="https://img.shields.io/github/license/liuyib/hexo-theme-stun.svg">
  </a>
  <br>
  <a href="https://hexo.io/zh-cn/" target="_blank" rel="noopener noreferrer">
    <img alt="hexo" src="https://img.shields.io/badge/hexo-%3E%3D3.0-blue.svg">
  </a>
  <a href="https://github.com/liuyib/hexo-theme-stun/releases" target="_blank" rel="noopener noreferrer">
    <img alt="GitHub release" src="https://img.shields.io/github/release/liuyib/hexo-theme-stun.svg">
  </a>
  <a href="https://gitter.im/liuyib/hexo-theme-stun?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge" target="_blank" rel="noopener noreferrer">
    <img alt="Gitter" src="https://badges.gitter.im/liuyib/hexo-theme-stun.svg">
  </a>
</p>

[English](https://github.com/liuyib/hexo-theme-stun/blob/master/README_en-US.md) | [中文简体](https://github.com/liuyib/hexo-theme-stun/blob/master/README.md)

## :sparkles: Demo

- [Liuyib's Blog](https://liuyib.github.io/)
- [弥枳's Blog](http://blog2.coor.top/)
- [轻尘's Blog](https://qcxitong.xyz/)
- [impressionyang's Blog](https://impressionyang.github.io)
- [cjpNiceの博客](https://cjpnice.gitee.io)
- [峡州仙士之页](https://cjh0613.gitee.io/blog/)
- [Cheeks's Blog](https://www.cheeks.top/)
- [lingan1996's Blog](https://www.lingan1996.top)
- [MikyMing's Blog](https://mikyming.online/)
- [maple Blog](https://www.hongmaple.xyz/)

If you are using the `Stun` theme and want to show it here, you just need to modify the [README_en-US](https://github.com/liuyib/hexo-theme-stun/edit/master/README_en-US.md) to fill in your website and submit PR.

## :crystal_ball: Feature

- Simple & Fast & Easy to Use & **Highly Customizable**
- Responsive design
- [Secondary navigation menu](https://liuyib.github.io/hexo-theme-stun/zh-CN/advanced/advanced-setting.html#二级导航菜单)
- Support [image lazy loading](https://liuyib.github.io/hexo-theme-stun/zh-CN/advanced/advanced-setting.html#图片懒加载)
- Support [Pjax](https://github.com/defunkt/jquery-pjax)
- Support [PWA](https://developers.google.com/web/progressive-web-apps)
- Support [Fancybox](https://github.com/fancyapps/fancybox)
- Support [Quicklink](https://github.com/GoogleChromeLabs/quicklink)
- Support [MathJax](https://www.mathjax.org/)、[KaTex](https://katex.org/)
- Support [Gitalk](https://github.com/gitalk/gitalk)、[Valine](https://valine.js.org/)、[Livere](https://livere.com/)、[Disqus](https://disqus.com/)、[Utterances](https://github.com/utterance/utterances) comments
- [Album page](https://liuyib.github.io/gallery/) of waterfall streaming
- Built-in [Google ads](https://www.google.cn/adsense/start/)
- Multiple code [highlighting themes](https://liuyib.github.io/hexo-theme-stun/zh-CN/advanced/advanced-setting.html#代码高亮)
- Beautiful [background effects](https://liuyib.github.io/hexo-theme-stun/zh-CN/advanced/third-part.html#ribbon)
- Detailed [documentation](https://liuyib.github.io/hexo-theme-stun/)

## :package: Install

- Install `Stun`

  Enter your hexo directory, run this:

  ```bash
  $ git clone https://github.com/liuyib/hexo-theme-stun.git themes/stun
  ```

- Install dependency `hexo-renderer-pug`

  Enter your hexo directory, run this:

  ```bash
  $ npm install --save hexo-renderer-pug
  ```

## :hammer: Usage

Change the `_config.yml` file in your hexo root directory:

```yml
theme: stun
```

Run your hexo server:

```bash
$ hexo clean && hexo s
```

## :art: Update

```bash
$ cd themes/stun

$ git pull
```

## :page_facing_up: Documentation

Please see: [https://liuyib.github.io/hexo-theme-stun/](https://liuyib.github.io/hexo-theme-stun/)

## :question: Question

If you have problems, please read [documentation](https://liuyib.github.io/hexo-theme-stun/zh-CN/) firstly, or check [FAQ](https://github.com/liuyib/hexo-theme-stun/blob/master/FAQ.md). You can open an `issue` when the above methods can't help you :hugs:.

## :computer: Browser Support

| <img src="https://raw.githubusercontent.com/liuyib/picBed/master/collection/20190723235410.png" alt="IE" width="32px" height="32px" /></br> IE | <img src="https://cdnjs.cloudflare.com/ajax/libs/browser-logos/35.1.0/edge/edge_64x64.png" alt="Edge" width="32px" height="32px" /></br> Edge | <img src="https://raw.githubusercontent.com/liuyib/picBed/master/collection/20190723235406.png" alt="Firefox" width="32px" height="32px" /></br> Firefox | <img src="https://raw.githubusercontent.com/liuyib/picBed/master/collection/20190723235407.png" alt="Chrome" width="32px" height="32px" /></br> Chrome | <img src="https://raw.githubusercontent.com/liuyib/picBed/master/collection/20190723235409.png" alt="Safari" width="32px" height="32px" /></br> Safari | <img src="https://raw.githubusercontent.com/liuyib/picBed/master/collection/20190723235411.png" alt="Opera" width="32px" height="32px" /></br> Opera |
| :---: | :---: | :---: |:---: | :---: | :---: |
| Not Supported | 12+ | 41+ | 45+ | 10+ | 32+ |

## :handshake: License

[MIT](https://github.com/liuyib/hexo-theme-stun/blob/master/LICENSE) Copyright (c) 2019 liuyib
